import {
    createRouter,
    createWebHashHistory
} from 'vue-router';


const routes = [{
        name: 'notFound',
        path: '/:path(.*)+',
        redirect: {
            name: 'home',
        },
    },
    {
        name: 'login',
        path: '/login',
        component: () => import('./view/login'),
        meta: {
            title: '登录'
        }
    },
    {
        name: 'layout',
        component: () => import('./layout'),
        children: [{
                path: '/home',
                component: () => import('./view/home'),
                meta: {
                    title: '房源管理'
                }
            },

            {
                name: 'user',
                path: '/user',
                component: () => import('./view/user'),
                meta: {
                    title: '我的'
                }
            }
        ]
    },
    {
        path: '/secondhand/detail',
        name: '/secondhand/detail',
        component: () => import('./view/secondhand/detail'),
        meta: {
            title: '二手房详情'
        }
    },
    {
        path: '/closehouse',
        name: '/closehouse',
        component: () => import('./view/closehouse'),
        meta: {
            title: '关闭房源'
        }
    },
    {
        path: '/edithouse',
        name: '/edithouse',
        component: () => import('./view/secondhand/edithouse'),
        meta: {
            title: '编辑房源'
        }
    },
    {
        path: '/resc',
        name: '/resc',
        component: () => import('./view/resc'),
        meta: {
            title: '实勘上传'
        }
    },

];

const router = createRouter({
    routes,
    history: createWebHashHistory(),
});

// const isAuthenticated= false

router.beforeEach((to, from, next) => {
    const title = to.meta && to.meta.title;
    if (title) {
        document.title = title;
    }
    // if (to.name !== 'login' && !isAuthenticated) next({
    //     name: 'login'
    // })
    // else 
    next()

});

export {
    router
};